<template>
    <div class="address-item">
        <div class="container-fluid">
            <div class="row">
                <div class="address-item-name pull-left">
                    {{address.firstName}} {{address.lastName}}
                </div>
                <br>
                <br>
            </div>
            <div class="row">
                <span>{{address.addressLine}}, </span>
                <span>{{address.city}}, </span>
            </div>
            <div class="row">
                <span>{{address.postCode}}, </span>
                <span>{{address.state}} </span>
            </div>
            <div class="row">
                <div class="pull-right">
                    <button class="btn btn-danger"
                            v-on:click="deleteAddress"
                    >
                        Remove Address
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

    import AddressService from '../services/AddressService.js'

    let addressService = new AddressService();

    export default {
        methods: {
            deleteAddress() {
                this.$emit('onDeleteAddress', this.address)
            }
        },
        props: ['address']
    }
</script>

<style>
    .address-item {
        margin-bottom: 30px;
        padding: 10px;
        border: 1px solid rgb(70,70,70);
    }

    .address-item-name {
        font-size: 24px;
        color: rgb(70,70,70);
    }
</style>